<?php

/*
 * This file is part of PHPExifTool.
 *
 * (c) 2012 Romain Neutron <imprec@gmail.com>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace PHPExiftool\Driver\Tag\Olympus;

use JMS\Serializer\Annotation\ExclusionPolicy;
use PHPExiftool\Driver\AbstractTag;

/**
 * @ExclusionPolicy("all")
 */
class ExternalFlash extends AbstractTag
{

    protected $Id = 4609;

    protected $Name = 'ExternalFlash';

    protected $FullName = 'Olympus::FocusInfo';

    protected $GroupName = 'Olympus';

    protected $g0 = 'MakerNotes';

    protected $g1 = 'Olympus';

    protected $g2 = 'Camera';

    protected $Type = 'int16u';

    protected $Writable = true;

    protected $Description = 'External Flash';

    protected $flag_Permanent = true;

    protected $Values = array(
        '0 0' => array(
            'Id' => '0 0',
            'Label' => 'Off',
        ),
        '1 0' => array(
            'Id' => '1 0',
            'Label' => 'On',
        ),
    );

}
